Subject: Re: bug#26645: [PATCH 4/9] guix: Add "potluck" command.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 04 May 2017 22:23:34 +0200

Hello!

Andy Wingo <[email-masked]> skribis:

> * guix/scripts/potluck.scm: New file.
> * Makefile.am: Add new file.

[...]

> +      (call-with-output-file (in-vicinity potluck-dir "README.md")
> +        (lambda (port)
> +          (format port
> +                  "\

Please add (G_ …) for i18n, and also add the file to po/guix/POTFILES.in.

> +This directory defines potluck packages.  Each file in this directory should
> +define one package.  See https://potluck.guixsd.org/ for more information.

I’ll email guix-sysadmin so potluck.guixsd.org points to the same IP as
guix-potluck.org.  :-)

> +    (let* ((opts     (parse-command-line args %options
> +                                         (list %default-options)
> +                                         #:argument-handler
> +                                         parse-sub-command))

‘parse-command-line’ honors $GUIX_BUILD_OPTIONS, which is unnecessary
here.  Instead, we should use ‘args-fold*’ like in (guix scripts hash),
for instance.

Otherwise LGTM, thanks!

Ludo’.